Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::PublisherConfiguration Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Member Functions
| PublisherConfiguration ()

## Public Attributes
int | width
int | height
int | framerate
int | bitrate
int | defaultLayout
int | lifecycle
bool | owner
int | injectStreamWidth
int | injectStreamHeight
const char * | injectStreamUrl
const char * | publishUrl
const char * | rawStreamUrl
const char * | extraInfo

## Detailed Description

The definition of PublisherConfiguration.

## Constructor & Destructor Documentation

## ◆ PublisherConfiguration()

agora::rtc::PublisherConfiguration::PublisherConfiguration | ( |  | ) |
| inline

## Member Data Documentation

## ◆ width

int agora::rtc::PublisherConfiguration::width

Width of the output data stream set for CDN Live. The default value is 360.

## ◆ height

int agora::rtc::PublisherConfiguration::height

Height of the output data stream set for CDN Live. The default value is 640.

## ◆ framerate

int agora::rtc::PublisherConfiguration::framerate

Frame rate of the output data stream set for CDN Live. The default value is 15 fps.

## ◆ bitrate

int agora::rtc::PublisherConfiguration::bitrate

Bitrate of the output data stream set for CDN Live. The default value is 500 Kbps.

## ◆ defaultLayout

int agora::rtc::PublisherConfiguration::defaultLayout

The default layout:

- 0: Tile horizontally
- 1: Layered windows
- 2: Tile vertically

## ◆ lifecycle

int agora::rtc::PublisherConfiguration::lifecycle

The video stream lifecycle of CDN Live: RTMP_STREAM_LIFE_CYCLE_TYPE

## ◆ owner

bool agora::rtc::PublisherConfiguration::owner

Whether the current user is the owner of the RTMP stream:

- True: Yes (default). The push-stream configuration takes effect.
- False: No. The push-stream configuration will not work.

## ◆ injectStreamWidth

int agora::rtc::PublisherConfiguration::injectStreamWidth

Width of the stream to be injected. Set it as 0.

## ◆ injectStreamHeight

int agora::rtc::PublisherConfiguration::injectStreamHeight

Height of the stream to be injected. Set it as 0.

## ◆ injectStreamUrl

const char* agora::rtc::PublisherConfiguration::injectStreamUrl

URL address of the stream to be injected to the channel.

## ◆ publishUrl

const char* agora::rtc::PublisherConfiguration::publishUrl

Push-stream URL address for the picture-in-picture layouts. The default value is NULL.

## ◆ rawStreamUrl

const char* agora::rtc::PublisherConfiguration::rawStreamUrl

Push-stream URL address of the original stream which does not require picture-blending. The default value is NULL.

## ◆ extraInfo

const char* agora::rtc::PublisherConfiguration::extraInfo

Reserved field. The default value is NULL.